Skip to main content
GET
/
api
/
evals
/
golden
Get Golden Dataset
curl --request GET \
  --url https://api.example.com/api/evals/golden
{
  "cases": [
    {
      "category": "<string>",
      "difficulty": "<string>",
      "id": "<string>",
      "namespace": "<string>",
      "notes": "<string>",
      "reference": "<string>",
      "reference_contexts": [
        "<string>"
      ],
      "reference_source_ids": [
        "<string>"
      ],
      "score_history": [
        {
          "avg": 0.5,
          "context_recall": 0.5,
          "factual_correctness": 0.5,
          "faithfulness": 0.5,
          "run_id": "<string>",
          "timestamp": "2023-11-07T05:31:56Z",
          "response_relevancy": 0.5
        }
      ],
      "tags": [
        "<string>"
      ],
      "user_input": "<string>"
    }
  ],
  "runs_sampled": 123,
  "total": 123
}

Query Parameters

max_runs
integer
default:10

Max recent runs for score history

Required range: 1 <= x <= 50

Response

Successful Response

Response for the golden dataset endpoint.

cases
GoldenTestCaseWithHistory · object[]
required
runs_sampled
integer
required
total
integer
required